<?php
session_start();
include_once('../../config/#Config.php');
if(!$_SESSION['UserName']){
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
} else {
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
	if(!$_POST['user']){
		$return['type'] = 1;
		$return['text'] = 'Không nhận được tài khoản.';
		echo json_encode($return);
		exit();
	}
	if(!is_numeric($_POST['type']) or $_POST['type'] < 0 or $_POST['type'] > 1){
		$return['type'] = 1;
		$return['text'] = 'Câu lệnh thất bại.';
		echo json_encode($return);
		exit();
	}	
	// check tồn tại hay không
	$get_check = mysqli_query($conn, "Select * From account_web WHERE Account = '".$_POST['user']."'");
	if(mysqli_num_rows($get_check)){
		//
		$get_t = mysqli_fetch_array($get_check, MYSQLI_ASSOC);
			$text_1 = 'Tài khoản này đang Mỡ Khóa. Không thể mỡ tiếp hãy F5 lại.';		
		if($get_t['Block'] == 1){
			$text_1 = 'Tài khoản này đang Khóa. Không thể khóa tiếp hãy F5 lại.';
		}
		// text 2
			$text_2 = 'Mỡ khóa tài khoản này thành công.';		
		if($_POST['type'] == 1){
			$text_2 = 'Khóa tài khoản này thành công.';
		}
		if($get_t['Block'] == $_POST['type']){
		$return['type'] = 1;
		$return['text'] = $text_1;			
		} else {
	    mysqli_query($conn, "UPDATE account_web Set Block = ".$_POST['type']." WHERE Account = '".$_POST['user']."'");
		$return['type'] = 0;
		$return['text'] = $text_2;				
		}
	} else {
		$return['type'] = 1;
		$return['text'] = 'Tài khoản này không tồn tại.';
	}
		echo json_encode($return);
		exit();	
}

?>